gio-0.12.2: Binding to the GIO.

Portability | portable (depends on GHC)
Stability | alpha
Maintainer | gtk2hs-devel@lists.sourceforge.net

System.GIO.Async.AsyncResult

Contents

- Types
- Methods

Description

Synopsis

- data AsyncResult
- class GObjectClass o => AsyncResultClass o
- type AsyncReadyCallback = GObject -> AsyncResult -> IO ()
- marshalAsyncReadyCallback :: AsyncReadyCallback -> IO GAsyncReadyCallback

# Types

data AsyncResult

Instances

Eq AsyncResult |
Ord AsyncResult |
GObjectClass AsyncResult |
AsyncResultClass AsyncResult |

class GObjectClass o => AsyncResultClass o

Instances

AsyncResultClass AsyncResult |

type AsyncReadyCallback = GObject -> AsyncResult -> IO ()

# Methods

marshalAsyncReadyCallback :: AsyncReadyCallback -> IO GAsyncReadyCallback